Issue list view hook request

2010-03-24 12:27 - Rico Moorman

Status: Closed Start date: 2010-03-24

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Plugin API Estimated time: 0.00 hour

Target version: 1.0.0 (RC)   

Description

Attached you can find a patch that adds a hook to the issues/index.rhtml view and makes it possible to display information related to

the current filter selection. (e.g. detailed statistics or something simple as http://github.com/rmoorman/redmine_hours_left)

I am currently developing a small plugin for redmine which allows to display the hours left on a project/set of issues. One place where

I would like to add that piece of information is within the issues/index.rhtml view. Unfortunately there is currently no hook which I

could use. This patch would add the hook I need and would surely provide some extra possibilities for other plugin developers to add

more related information to redmine.

Associated revisions

Revision 3842 - 2010-07-16 05:16 - Eric Davis

Add :view_issues_index_bottom hook. #5169

History

#1 - 2010-07-06 19:54 - Rico Moorman

Dear Eric,

Some time ago I filed this issue and I know that there is a lot of work to do. I also tried to get in touch via github but to no avail.

I really would like this feature to be implemented. It's just one line of extra view code and could be used by various plugins to display query/project

related information.

I could also do something in exchange in order to help the project.

Best regards,

Rico Moorman

#2 - 2010-07-16 05:16 - Eric Davis

- Status changed from New to Closed

- Target version set to 1.0.0 (RC)

- % Done changed from 0 to 100

I moved the hook a bit and named it view_issues_index_bottom. r3842

Files

hook.patch 326 Bytes 2010-03-24 Rico Moorman
